import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { provideHttpClient } from '@angular/common/http';
import { provideAnimations } from '@angular/platform-browser/animations';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { GoogleMap, MapKmlLayer } from '@angular/google-maps';

import { MenuItems } from '@components/shared';
import { DropzonesComponent } from './dropzones.component';

describe('DropzonesComponent', () => {
  let component: DropzonesComponent;
  let fixture: ComponentFixture<DropzonesComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [DropzonesComponent],
      providers: [
        provideRouter([]),
        provideHttpClient(),
        provideAnimations(),
        MenuItems,
      ],
    })
    .overrideComponent(DropzonesComponent, {
      remove: { imports: [GoogleMap, MapKmlLayer] },
      add: { schemas: [CUSTOM_ELEMENTS_SCHEMA] },
    })
    .compileComponents();

    fixture = TestBed.createComponent(DropzonesComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
